Bug 62611 - Promise FastTrack 100 TX2 Driver NG for SMP!
Promise FastTrack 100 TX2 Driver NG for SMP!
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.2
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-02 21:55 EST by Seth Bardash
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Bardash 2002-04-02 21:55:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; Q312461)

Description of problem:
On RH 6.2 K 2.2.14-5.0 the Promise FastTrack100TX2 driver hangs on booting from 
the array (mirrored). Install goes fine once the driver is added under expert 
install option. On reboot after install the system hangs right after the on 
board ide (ide0 and ide1) ports are checked and just before linux assigns the 
cdrom to hda. The uniprocessor version of the kernel boots through this fine.

PROMISE TECHNOLOGIES TECH SUPPORT HAS CONFIRMED THIS AND HAS CONFIRMED THAT 
THEY ARE WORKING ON THE PROBLEM BUT THAT THEIR SMP DRIVERS DO NOT WORK 
CORRECTLY - AND - THEY DO NOT KNOW WHEN THEY WILL HAVE A SOLUTION!

Version-Release number of selected component (if applicable):

Promise smp drivers 1.2.0.9 and 1.2.0.14

How reproducible:
Always

Steps to Reproduce:
1. Install 6.2 in expert mode and add promise drivers per instructions
2. finish install and reboot
3. System hangs every time when booting smp image right after 
ide1:BM-DMA at 0xf008-0xf00f hdc:pio, hdd:pio  - line
	

Actual Results:  The system hangs every time. System will boot in uniprocessor 
mode with no changes in config.

Expected Results:  System should boot from mirrored array with out any problem.

Additional info:

System Config:
Dual AMD MP1800+ CPU's
Tyan S2466 Motherboard
2 x 1GB Reg ECC DIMMs
Dual 80 GB IBM 07N8084 ATA-100 Disks
Sony CDROM CDU-5211
Floppy
ATI PCI 4MB Rage Graphics Card
Kbd, Mouse, Monitor

THIS IS NOT A REDHAT BUG - INFO SUBMITTED AFTER CAREFUL RESEARCH ON
BUGZILLA AND MUCH INTERRAGATION OF PROMISE TECH SUPPORT. REDHAT CUSTOMERS 
SHOULD NOT EXPECT THIS TO FUNCTION PROPERLY UNTIL PROMISE FIXES THEIR SMP 
DRIVERS. THIS PROBLEM PERVADES THROUGH RH 6.2 / 7.1 / 7.2

For more info email me at seth@integratedsolutions.org
Comment 1 Bugzilla owner 2004-09-30 11:39:28 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.